Bug 237702 - qt4: x11 opensource edition seems GPL-only.
qt4: x11 opensource edition seems GPL-only.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 16:41 EDT by Laurent Rineau
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 11:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2007-04-24 16:41:03 EDT
Description of problem:
The License tag of the qt4 package should perhaps be changed to "GPL", instead 
of GPL/QPL. The header of all source files of Qt 4 only mention LICENSE.GPL, 
even if LICENSE.QPL is shipped in the tarball.

Version-Release number of selected component (if applicable): All
Comment 1 Rex Dieter 2007-04-25 11:01:21 EDT
OK, talked it over with spot, and he agreed that this is/should-be gpl-only.
Comment 2 Rex Dieter 2007-04-25 11:05:01 EDT
fwiw, not something worth respinning for immediately, but I'll make sure to
include this change in the next/future build.
Comment 3 Rex Dieter 2007-04-25 11:09:28 EDT
%changelog
* Thu Mar 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-8
- License: GPL, dropping QPL (#237702)
Comment 4 Laurent Rineau 2007-04-25 11:14:24 EDT
Actually, Trolltech policy is confusing. A friend of mine spotted out that web 
page:
  http://www.trolltech.com/products/qt/licenses/licensing/opensource
which says: "For historical reasons, the Qt/X11 version is also available 
under the QPL license. We do not recommend the use of the QPL, especially if 
you are planning for your Open Source software to be distributed on Mac OS X 
or Windows."

Should we ask Trolltech (first, then maybe Fedora Legal) for explanations?
Comment 5 Rex Dieter 2007-04-25 11:33:41 EDT
jwb, spot's take (in irc) was pretty clear:

[10:30] <rdieter> jwb, spot: now I'm confused:
http://www.trolltech.com/products/qt/licenses/licensing/opensource
[10:31] <rdieter> jwb, spot: "For historical reasons, the Qt/X11 version is also
available under the QPL license"
[10:31] <spot> Yeah, but we don't care. Its GPL only for what we care about.
[10:31] <rdieter> worksforme.
[10:31] <jwb> rdieter, still no issues.  GPL only is what you want.  they even
say not to use QPL
[10:32] <spot> it basically says "you can use it under QPL if you want."
[10:32] <spot> we don't want. :)
[10:32] <jwb> "you can use it under QPL if you want.  But if you do, you suck"

Note You need to log in before you can comment on or make changes to this bug.